eoIncrementorParam(3)

NAME
eoIncrementorParam - an eoUpdater that is an eoValueParam (and thus OWNS its counter) Mandatory for generation counter in make_checkpoint

SYNOPSIS

#include <eoUpdater.h>

Inherits eoUpdater, and eoValueParam< T >.

  Public Member Functions
eoIncrementorParam (std::string _name, T _stepsize=1)
Default Ctor : a name and optionally an increment.
eoIncrementorParam (std::string _name, T _countValue, T _stepsize)
Ctor with a name and non-zero initial value and mandatory stepSize to remove ambiguity.
virtual void operator() ()
Simply increments.
virtual std::string className (void) const

  Private Attributes
T stepsize

Detailed Description

  template<class T> class eoIncrementorParam< T >
an eoUpdater that is an eoValueParam (and thus OWNS its counter) Mandatory for generation counter in make_checkpoint

Definition at line 71 of file eoUpdater.h.

Author

Generated automatically by Doxygen for EO from the source code.